oneconf-service crashed with ImportError in /usr/lib/python2.7/dist-packages/gi/__init__.py: could not import gobject (error was: ImportError('When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject".',))

Bug #829181 reported by St Artem on 2011-08-19
This bug report is a duplicate of:  Bug #829186: Mixes static and GI library bindings. Edit Remove
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
oneconf (Ubuntu)
Undecided
Unassigned

Bug Description

crash

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: oneconf 0.2.4
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Fri Aug 19 08:28:33 2011
ExecutablePath: /usr/share/oneconf/oneconf-service
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110803.1)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/oneconf/oneconf-service
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
PythonArgs: ['/usr/share/oneconf/oneconf-service']
SourcePackage: oneconf
Title: oneconf-service crashed with ImportError in /usr/lib/python2.7/dist-packages/gi/__init__.py: could not import gobject (error was: ImportError('When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject".',))
UpgradeStatus: Upgraded to oneiric on 2011-08-13 (5 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

St Artem (strahovartem) wrote :
tags: removed: need-duplicate-check
Steve Beattie (sbeattie) on 2011-08-24
visibility: private → public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers